import { OnInit } from "@angular/core";
import { StiModelService } from "../../../services/model.service";
import { StiLocalizationService } from "../../../services/sti-localization.service";
import * as i0 from "@angular/core";
export declare class StiFormsTreeComponent implements OnInit {
    model: StiModelService;
    loc: StiLocalizationService;
    value: string;
    lastFindedItem: any;
    lastFindedValue: any;
    constructor(model: StiModelService, loc: StiLocalizationService);
    inputEvent(value: any): void;
    findElement(): void;
    selectItem(item: any): void;
    getAllNames(): any[];
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiFormsTreeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiFormsTreeComponent, "forms-tree", never, {}, {}, never, never, false, never>;
}
